/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.journal.item.selector.criterion;

import com.liferay.item.selector.BaseItemSelectorCriterion;

/**
 * @author Eduardo García
 * @author Roberto Díaz
 */
public class JournalItemSelectorCriterion extends BaseItemSelectorCriterion {

	public JournalItemSelectorCriterion() {
	}

	public JournalItemSelectorCriterion(long resourcePrimKey) {
		_resourcePrimKey = resourcePrimKey;
	}

	public JournalItemSelectorCriterion(long resourcePrimKey, long folderId) {
		_resourcePrimKey = resourcePrimKey;
		_folderId = folderId;
	}

	public long getFolderId() {
		return _folderId;
	}

	public long getResourcePrimKey() {
		return _resourcePrimKey;
	}

	public void setFolderId(long folderId) {
		_folderId = folderId;
	}

	public void setResourcePrimKey(long resourcePrimKey) {
		_resourcePrimKey = resourcePrimKey;
	}

	private long _folderId;
	private long _resourcePrimKey;

}